import React, { PropsWithChildren } from 'react'
import Taro, { useLoad, useReady } from '@tarojs/taro'
import { View, Video, Navigator, AdCustom } from '@tarojs/components'
import './index.less'

const WEB_VIEW_URL = 'plugin-private://wxf7261ed54f2e450e/pages/webview/index'
const VIDEO_SRC = 'https://xycdn.yishihui.com/ad/prod/video/material_AD_1700025739_1700025739924.mp4'

function PqCustom(props: PropsWithChildren<CustomPropsType>) {
  const customWidth = props.width || 100
  function onClick() {
    console.log(props)
  }

  return (
    <View className='pq-custom' onClick={onClick}>
      <View className='icon'>广告</View>
      <View className='close-icon'>❌</View>
      <Navigator url={WEB_VIEW_URL}>
        <Custom width={customWidth}/>
      </Navigator>
    </View>
  )
}

function Custom({ width, zIndex }) {
  useReady(() => {
    const res = Taro.getSystemInfoSync()
    console.log(res)
    const clientRect = Taro.getMenuButtonBoundingClientRect()
    console.log(clientRect)
  })

  const style = {
    width: `${width || 100}px`,
    zIndex: zIndex || 1,
    height: `${(width || 100) * 16 / 9}px`
  }
  return (
    <View className='custom'>
      <Video className='custom-video' style={style} autoplay={false} controls={false} loop src={VIDEO_SRC} />
    </View>
  )
}

// 计算可视区

export default PqCustom
